﻿
using System;
using Wisej.Web;

namespace TimeOnlyPicker
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();

            string _defaultTimeFormat = "HH:mm";
            bool showupdown = false, showcalendar = true, hasReset = false;
            string customformat = String.Empty;



            customformat = _defaultTimeFormat;
            showupdown = true;
            showcalendar = false;

            hasReset = false;

            DateTimePicker ddt = new DateTimePicker();

            ddt.Format = DateTimePickerFormat.Custom;
            ddt.CustomFormat = customformat;
            ddt.AutoSize = false;
            ddt.ShowUpDown = showupdown;
            ddt.ShowCalendar = showcalendar;
            if (hasReset)
            {
                ddt.Tools.Add("SETNULL", ""); // _resourceResolver.GetImageSource(ImageType.Delete));
                ddt.ToolClick += (s, e) => { if (e.Tool.Name == "SETNULL") ddt.NullableValue = null; };
            }

            ddt.Top = 100;
            ddt.Left = 100;

            this.Controls.Add(ddt);
        }
    }
}
